// Dynare model file to calculate the impact of hours restriction in Great-Depression France
// Created by Johannes Wieland
// December 2015

@#define nsec = 22


// Endogenous variables;
var N R RStar Pi Rk WP K Y C I Pk S Sd lambda Q a rf Ni_1 Ni_2 Ni_3 Ni_4 Ni_5 Ni_6 Ni_7 Ni_8 Ni_9 Ni_10 Ni_11 Ni_12 Ni_13 Ni_14 Ni_15 Ni_16 Ni_17 Ni_18 Ni_19 Ni_20 Ni_21 Ni_22 Yi_1 Yi_2 Yi_3 Yi_4 Yi_5 Yi_6 Yi_7 Yi_8 Yi_9 Yi_10 Yi_11 Yi_12 Yi_13 Yi_14 Yi_15 Yi_16 Yi_17 Yi_18 Yi_19 Yi_20 Yi_21 Yi_22 Ki_1 Ki_2 Ki_3 Ki_4 Ki_5 Ki_6 Ki_7 Ki_8 Ki_9 Ki_10 Ki_11 Ki_12 Ki_13 Ki_14 Ki_15 Ki_16 Ki_17 Ki_18 Ki_19 Ki_20 Ki_21 Ki_22 Preli_1 Preli_2 Preli_3 Preli_4 Preli_5 Preli_6 Preli_7 Preli_8 Preli_9 Preli_10 Preli_11 Preli_12 Preli_13 Preli_14 Preli_15 Preli_16 Preli_17 Preli_18 Preli_19 Preli_20 Preli_21 Preli_22 Pii_1 Pii_2 Pii_3 Pii_4 Pii_5 Pii_6 Pii_7 Pii_8 Pii_9 Pii_10 Pii_11 Pii_12 Pii_13 Pii_14 Pii_15 Pii_16 Pii_17 Pii_18 Pii_19 Pii_20 Pii_21 Pii_22 WPi_1 WPi_2 WPi_3 WPi_4 WPi_5 WPi_6 WPi_7 WPi_8 WPi_9 WPi_10 WPi_11 WPi_12 WPi_13 WPi_14 WPi_15 WPi_16 WPi_17 WPi_18 WPi_19 WPi_20 WPi_21 WPi_22 Piwi_1 Piwi_2 Piwi_3 Piwi_4 Piwi_5 Piwi_6 Piwi_7 Piwi_8 Piwi_9 Piwi_10 Piwi_11 Piwi_12 Piwi_13 Piwi_14 Piwi_15 Piwi_16 Piwi_17 Piwi_18 Piwi_19 Piwi_20 Piwi_21 Piwi_22 mui_1 mui_2 mui_3 mui_4 mui_5 mui_6 mui_7 mui_8 mui_9 mui_10 mui_11 mui_12 mui_13 mui_14 mui_15 mui_16 mui_17 mui_18 mui_19 mui_20 mui_21 mui_22 Deltai_1 Deltai_2 Deltai_3 Deltai_4 Deltai_5 Deltai_6 Deltai_7 Deltai_8 Deltai_9 Deltai_10 Deltai_11 Deltai_12 Deltai_13 Deltai_14 Deltai_15 Deltai_16 Deltai_17 Deltai_18 Deltai_19 Deltai_20 Deltai_21 Deltai_22 Psii_1 Psii_2 Psii_3 Psii_4 Psii_5 Psii_6 Psii_7 Psii_8 Psii_9 Psii_10 Psii_11 Psii_12 Psii_13 Psii_14 Psii_15 Psii_16 Psii_17 Psii_18 Psii_19 Psii_20 Psii_21 Psii_22 Hpci_1 Hpci_2 Hpci_3 Hpci_4 Hpci_5 Hpci_6 Hpci_7 Hpci_8 Hpci_9 Hpci_10 Hpci_11 Hpci_12 Hpci_13 Hpci_14 Hpci_15 Hpci_16 Hpci_17 Hpci_18 Hpci_19 Hpci_20 Hpci_21 Hpci_22 ;

// Shocks;
varexo e_rf e_a e_Psii_1 e_Psii_2 e_Psii_3 e_Psii_4 e_Psii_5 e_Psii_6 e_Psii_7 e_Psii_8 e_Psii_9 e_Psii_10 e_Psii_11 e_Psii_12 e_Psii_13 e_Psii_14 e_Psii_15 e_Psii_16 e_Psii_17 e_Psii_18 e_Psii_19 e_Psii_20 e_Psii_21 e_Psii_22 ;


// Parameters;
parameters siggma habit etta betta zetta thetta Psibar Hbar chi alfa delta psi xi rotac pindex xi_w zeta_w phi_w phipi phiy ibar rho_R rho_rf rho_a rho_Psii lawdur law40 alfabar sigma_e_rf sigma_e_a sigma_e_Psii_1 sigma_e_Psii_2 sigma_e_Psii_3 sigma_e_Psii_4 sigma_e_Psii_5 sigma_e_Psii_6 sigma_e_Psii_7 sigma_e_Psii_8 sigma_e_Psii_9 sigma_e_Psii_10 sigma_e_Psii_11 sigma_e_Psii_12 sigma_e_Psii_13 sigma_e_Psii_14 sigma_e_Psii_15 sigma_e_Psii_16 sigma_e_Psii_17 sigma_e_Psii_18 sigma_e_Psii_19 sigma_e_Psii_20 sigma_e_Psii_21 sigma_e_Psii_22 Ybar Rbar tau_1 tau_2 tau_3 tau_4 tau_5 tau_6 tau_7 tau_8 tau_9 tau_10 tau_11 tau_12 tau_13 tau_14 tau_15 tau_16 tau_17 tau_18 tau_19 tau_20 tau_21 tau_22 ;
siggma=1.00000000;
habit=0.00000000;
etta=1.00000000;
betta=0.99746495;
zetta=10.00000000;
thetta=10.00000000;
Psibar=1.00000000;
Hbar=0.40000000;
chi=1.00000000;
alfa=0.33000000;
delta=0.00833333;
psi=4.00000000;
xi=0.26250000;
rotac=577.46759623;
pindex=0.00000000;
xi_w=1.00000000;
zeta_w=5.00000000;
phi_w=0.00000000;
phipi=0.00000000;
phiy=0.00000000;
ibar=1.00254149;
rho_R=0.00000000;
rho_rf=0.95000000;
rho_a=1.00000000;
rho_Psii=1.00000000;
lawdur=24.00000000;
law40=-0.18232156;
alfabar=1.88547285;
sigma_e_rf=0.01000000;
sigma_e_a=0.01000000;
sigma_e_Psii_1=0.01000000;
sigma_e_Psii_2=0.01000000;
sigma_e_Psii_3=0.01000000;
sigma_e_Psii_4=0.01000000;
sigma_e_Psii_5=0.01000000;
sigma_e_Psii_6=0.01000000;
sigma_e_Psii_7=0.01000000;
sigma_e_Psii_8=0.01000000;
sigma_e_Psii_9=0.01000000;
sigma_e_Psii_10=0.01000000;
sigma_e_Psii_11=0.01000000;
sigma_e_Psii_12=0.01000000;
sigma_e_Psii_13=0.01000000;
sigma_e_Psii_14=0.01000000;
sigma_e_Psii_15=0.01000000;
sigma_e_Psii_16=0.01000000;
sigma_e_Psii_17=0.01000000;
sigma_e_Psii_18=0.01000000;
sigma_e_Psii_19=0.01000000;
sigma_e_Psii_20=0.01000000;
sigma_e_Psii_21=0.01000000;
sigma_e_Psii_22=0.01000000;
Ybar=1.80195045;
Rbar=1.00254149;
tau_1=0.04545455;
tau_2=0.04545455;
tau_3=0.04545455;
tau_4=0.04545455;
tau_5=0.04545455;
tau_6=0.04545455;
tau_7=0.04545455;
tau_8=0.04545455;
tau_9=0.04545455;
tau_10=0.04545455;
tau_11=0.04545455;
tau_12=0.04545455;
tau_13=0.04545455;
tau_14=0.04545455;
tau_15=0.04545455;
tau_16=0.04545455;
tau_17=0.04545455;
tau_18=0.04545455;
tau_19=0.04545455;
tau_20=0.04545455;
tau_21=0.04545455;
tau_22=0.04545455;


model;

///////////////////////////////////////////////////////////////////////////                        
/////////                Industry Block                         ///////////
///////////////////////////////////////////////////////////////////////////

// exo variables: Q, Y, a, Psii, K
// endo variables: Yi, Ni, Ki, WPi, Piwi, mui, Pii, Pirel, Deltai, Hpci, Pi, N, WP

// looping over all industries
@#for ii in 1:nsec

    // (1) Relative Demand   
    exp(Yi_@{ii})   =   tau_@{ii} * exp(Preli_@{ii})^(-thetta) * exp(Y);
    
    // (2) Production function
    exp(Yi_@{ii})   =   exp(a) * ( exp(Ni_@{ii}) * exp(Psii_@{ii}) * Hbar )^(1-alfa) * exp(Ki_@{ii})^alfa / exp(Deltai_@{ii});   
    
    // (3) Relative use of inputs
    exp(Ki_@{ii})    =   alfa/(1-alfa) * exp(WPi_@{ii}) / exp(Rk) * exp(Ni_@{ii});
    
    // (4) Industry nominal wage
    //exp(WPi_@{ii})   =    chi * exp(Ni_@{ii})^etta  * exp(Deltai_@{ii})^etta  / exp(lambda);
    0   =   exp(Ni_@{ii}) * ( -zeta_w * exp(WPi_@{ii}) + zeta_w * chi * tau_@{ii}^(-etta) * exp(Ni_@{ii})^etta / exp(lambda) -  phi_w * exp(Piwi_@{ii}) * (exp(Piwi_@{ii})-1) ) + exp(Q) * exp(Ni_@{ii}(+1)) * phi_w * exp(Piwi_@{ii}(+1)) * ( exp(Piwi_@{ii}(+1)) -1 ) ;
    
    // (5) Industry wage inflation
    exp(Piwi_@{ii})   =    exp(WPi_@{ii})/exp(WPi_@{ii}(-1))/exp(Pi);
    
    // (6) Marginal cost
    exp(mui_@{ii})   =   alfabar*exp(Rk)^alfa * exp(WPi_@{ii})^(1-alfa) / ( ( exp(Psii_@{ii}) * Hbar )^(1-alfa) * exp(a) );
    
    // (7) Industry inflation
    //exp(Pii_@{ii}) * (exp(Pii_@{ii}) - exp(Pii_@{ii}(-1))^pindex)   =   ( (1-zetta)/rotac * exp(Preli_@{ii}) + zetta/rotac * min(exp(mui_@{ii}),4) ) + ( exp(Q) * exp(Yi_@{ii}(+1)) / exp(Yi_@{ii}) * exp(Pii_@{ii}(+1)) * (exp(Pii_@{ii}(+1)) - exp(Pii_@{ii})^pindex) );
    //exp(Pii_@{ii}) * (exp(Pii_@{ii}) - 1)   =   ( (1-zetta)/rotac * exp(Preli_@{ii}) + zetta/rotac * min(exp(mui_@{ii}),5) ) + ( exp(Q) * exp(Yi_@{ii}(+1)) / exp(Yi_@{ii}) * exp(Pii_@{ii}(+1)) * (exp(Pii_@{ii}(+1)) - 1) );
    log( exp(Pii_@{ii})^2 / exp(Q) )   =   log( (exp(Pii_@{ii}) * exp(Pii_@{ii}(-1))^pindex )/exp(Q) + ( (1-zetta)/rotac * exp(Preli_@{ii}) + zetta/rotac * exp(mui_@{ii}) )/exp(Q) + (  exp(Yi_@{ii}(+1)) / exp(Yi_@{ii}) * exp(Pii_@{ii}(+1)) * (exp(Pii_@{ii}(+1)) - exp(Pii_@{ii})^pindex) ));
    
    // (8) Price dispersion
    //exp(Deltai_@{ii})   =   (1-xi)*exp(Deltai_@{ii}(-1))*exp(Pii_@{ii})^zetta + xi*exp(bi_@{ii})^(-zetta)*exp(Pii_@{ii})^zetta;
    exp(Deltai_@{ii})   =  1;
    
    // (9) Industry inflation and relative price
    exp(Pii_@{ii})   =   exp(Pi) * exp(Preli_@{ii}) / exp(Preli_@{ii}(-1));
    
    // (10) Hours per person
    exp(Hpci_@{ii})  =  exp(Psii_@{ii}) * Hbar;
    
@#endfor

// (11) Aggregate prices
1    =   (
            @#for ii in 1:nsec
                +tau_@{ii}*(exp(Preli_@{ii}))^(1-thetta)
            @#endfor 
         )^(1/(1-thetta)) ; 
         
// (12) Aggregate labor
exp(N)    =   (
            @#for ii in 1:nsec
                +tau_@{ii}^(-etta) *(exp(Ni_@{ii}))^(1+etta)
            @#endfor 
         )^(1/(1+etta)) ;  
         
// (13) Aggregate capital
exp(K(-1))    =   (
            @#for ii in 1:nsec
                +(exp(Ki_@{ii}))
            @#endfor 
         ) ;  
         
// (14) Aggregate wage
exp(WP)    =   (
            @#for ii in 1:nsec
                +tau_@{ii}*(exp(WPi_@{ii}))^((1+etta)/etta)
            @#endfor 
         )^(etta/(1+etta)) ; 
         


///////////////////////////////////////////////////////////////////////////                        
/////////                      NK Block                         ///////////
///////////////////////////////////////////////////////////////////////////

// exo vars: Pi, rf, N
// endo vars: Y, C, Q, I, K, WP, Pk, R, lambda

//////////////////////////////////////////////////                        
// 1. Consumers
//////////////////////////////////////////////////

// (1) Euler equation
1 = exp(Q)* (exp(R)+rf ) / ( exp(Pi(+1))  ) ;

// (2) sdf
exp(Q)      =   betta* exp(lambda(+1)) / exp(lambda);

// (3) marginal utility
exp(lambda) =   (( exp(C) - habit* exp(C(-1)))/(1-habit))^(-siggma) ;
//exp(lambda) =  ( ( exp(C) - habit* exp(C(-1)) )^(-siggma) -  betta*habit*( exp(C(+1)) - habit* exp(C) )^(-siggma) )/ ((1-habit)^(-siggma)*(1-betta*habit)) ;


//////////////////////////////////////////////////                        
// 2. Capital accumulation
//////////////////////////////////////////////////
 
// (4) Law of motion for capital
exp(K)      =   (1-delta)*exp(K(-1)) + exp(I)*( 1 - S );

// (5) Return to capital
exp(Pk)     =   exp(Q)*( exp(Rk(+1)) + (1-delta)*exp(Pk(+1)) );
//exp(Pk)     =   exp(Q)*( exp(Rk(+1)) + (1-delta)*exp(Pk(+1)) + (exp(I(+1))/exp(K))^2 * Sd(+1)  );

// (6) Optimal investment
1   =   exp(Pk) * (  1 - S - exp(I)/exp(I(-1))*Sd )
        +exp(Q) * exp(Pk(+1)) * (exp(I(+1))/exp(I))^2 * Sd(+1) ;
//1   =   exp(Pk) * (  1 - S - exp(I)/exp(K(-1))*Sd ) ;
        
// (7) Capital adjustment costs
S  =    0.5*exp( psi^0.5* (exp(I)/exp(I(-1)) -1 ) ) + 0.5*exp( -psi^0.5* (exp(I)/exp(I(-1)) -1 ) ) - 1;       
//S  =    0.5*psi * ( exp(I)/ exp(K(-1)) - delta )^2 ;       
//S  =    0.5*exp( psi^0.5* (exp(I)/exp(K(-1)) -delta ) ) + 0.5*exp( -psi^0.5* (exp(I)/exp(K(-1)) -delta ) ) - 1;       

// (8) Capital adjustment costs: first derivative
Sd  =    0.5*psi^0.5* ( exp( psi^0.5* (exp(I)/exp(I(-1)) -1 ) ) - exp( -psi^0.5* (exp(I)/exp(I(-1)) -1 ) ) ) ;       
//Sd  =   psi * ( exp(I)/ exp(K(-1)) - delta );       
//Sd  =    0.5*psi^0.5* ( exp( psi^0.5* (exp(I)/exp(K(-1)) -delta ) ) - exp( -psi^0.5* (exp(I)/exp(K(-1)) -delta ) ) ) ;       

//////////////////////////////////////////////////                        
// 3. Government
//////////////////////////////////////////////////
          
// (9) Interest rate rule:
exp(R) = max(  exp(RStar) , ibar );
//exp(R)  =   Rbar;

// (10) Unconstrained interest rate
exp(RStar) = (Rbar*exp(Pi)^phipi*(exp(Y)/Ybar)^phiy)^(1-rho_R)*exp(R(-1))^(rho_R);

//////////////////////////////////////////////////                        
// 4. Market clearing
//////////////////////////////////////////////////
          
// (11) National income accounting identity:
exp(Y) = exp(C) + exp(I);

///////////////////////////////////////////////////////////////////////////                        
/////////                Exogenous variables                    ///////////
///////////////////////////////////////////////////////////////////////////

// (1) Productivity shock
exp(a) =  exp(a(-1))^rho_a * exp(e_a);

// (2) Discount factor shock
rf      = rho_rf*rf(-1) + e_rf ;

// (3) Hours restrictions
@#for ii in 1:nsec
    exp(Psii_@{ii})  =   exp(Psii_@{ii}(-1))^(rho_Psii)*exp(e_Psii_@{ii});
@#endfor

end;


initval;
N=log(0.883557206);
R=log(1.002541491);
RStar=log(1.002541491);
Pi=log(1.000000000);
Rk=log(0.010874825);
WP=log(1.229774498);
K=log(49.212681130);
Y=log(1.801950447);
C=log(1.391844771);
I=log(0.410105676);
Pk=log(1.000000000);
S=0.000000000;
Sd=0.000000000;
lambda=log(0.718470925);
Q=log(0.997464951);
a=log(1.000000000);
rf=0.000000000;
Ni_1=log(0.040161691);
Ni_2=log(0.040161691);
Ni_3=log(0.040161691);
Ni_4=log(0.040161691);
Ni_5=log(0.040161691);
Ni_6=log(0.040161691);
Ni_7=log(0.040161691);
Ni_8=log(0.040161691);
Ni_9=log(0.040161691);
Ni_10=log(0.040161691);
Ni_11=log(0.040161691);
Ni_12=log(0.040161691);
Ni_13=log(0.040161691);
Ni_14=log(0.040161691);
Ni_15=log(0.040161691);
Ni_16=log(0.040161691);
Ni_17=log(0.040161691);
Ni_18=log(0.040161691);
Ni_19=log(0.040161691);
Ni_20=log(0.040161691);
Ni_21=log(0.040161691);
Ni_22=log(0.040161691);
Yi_1=log(0.081906839);
Yi_2=log(0.081906839);
Yi_3=log(0.081906839);
Yi_4=log(0.081906839);
Yi_5=log(0.081906839);
Yi_6=log(0.081906839);
Yi_7=log(0.081906839);
Yi_8=log(0.081906839);
Yi_9=log(0.081906839);
Yi_10=log(0.081906839);
Yi_11=log(0.081906839);
Yi_12=log(0.081906839);
Yi_13=log(0.081906839);
Yi_14=log(0.081906839);
Yi_15=log(0.081906839);
Yi_16=log(0.081906839);
Yi_17=log(0.081906839);
Yi_18=log(0.081906839);
Yi_19=log(0.081906839);
Yi_20=log(0.081906839);
Yi_21=log(0.081906839);
Yi_22=log(0.081906839);
Ki_1=log(2.236940051);
Ki_2=log(2.236940051);
Ki_3=log(2.236940051);
Ki_4=log(2.236940051);
Ki_5=log(2.236940051);
Ki_6=log(2.236940051);
Ki_7=log(2.236940051);
Ki_8=log(2.236940051);
Ki_9=log(2.236940051);
Ki_10=log(2.236940051);
Ki_11=log(2.236940051);
Ki_12=log(2.236940051);
Ki_13=log(2.236940051);
Ki_14=log(2.236940051);
Ki_15=log(2.236940051);
Ki_16=log(2.236940051);
Ki_17=log(2.236940051);
Ki_18=log(2.236940051);
Ki_19=log(2.236940051);
Ki_20=log(2.236940051);
Ki_21=log(2.236940051);
Ki_22=log(2.236940051);
Preli_1=log(1.000000000);
Preli_2=log(1.000000000);
Preli_3=log(1.000000000);
Preli_4=log(1.000000000);
Preli_5=log(1.000000000);
Preli_6=log(1.000000000);
Preli_7=log(1.000000000);
Preli_8=log(1.000000000);
Preli_9=log(1.000000000);
Preli_10=log(1.000000000);
Preli_11=log(1.000000000);
Preli_12=log(1.000000000);
Preli_13=log(1.000000000);
Preli_14=log(1.000000000);
Preli_15=log(1.000000000);
Preli_16=log(1.000000000);
Preli_17=log(1.000000000);
Preli_18=log(1.000000000);
Preli_19=log(1.000000000);
Preli_20=log(1.000000000);
Preli_21=log(1.000000000);
Preli_22=log(1.000000000);
Pii_1=log(1.000000000);
Pii_2=log(1.000000000);
Pii_3=log(1.000000000);
Pii_4=log(1.000000000);
Pii_5=log(1.000000000);
Pii_6=log(1.000000000);
Pii_7=log(1.000000000);
Pii_8=log(1.000000000);
Pii_9=log(1.000000000);
Pii_10=log(1.000000000);
Pii_11=log(1.000000000);
Pii_12=log(1.000000000);
Pii_13=log(1.000000000);
Pii_14=log(1.000000000);
Pii_15=log(1.000000000);
Pii_16=log(1.000000000);
Pii_17=log(1.000000000);
Pii_18=log(1.000000000);
Pii_19=log(1.000000000);
Pii_20=log(1.000000000);
Pii_21=log(1.000000000);
Pii_22=log(1.000000000);
WPi_1=log(1.229774498);
WPi_2=log(1.229774498);
WPi_3=log(1.229774498);
WPi_4=log(1.229774498);
WPi_5=log(1.229774498);
WPi_6=log(1.229774498);
WPi_7=log(1.229774498);
WPi_8=log(1.229774498);
WPi_9=log(1.229774498);
WPi_10=log(1.229774498);
WPi_11=log(1.229774498);
WPi_12=log(1.229774498);
WPi_13=log(1.229774498);
WPi_14=log(1.229774498);
WPi_15=log(1.229774498);
WPi_16=log(1.229774498);
WPi_17=log(1.229774498);
WPi_18=log(1.229774498);
WPi_19=log(1.229774498);
WPi_20=log(1.229774498);
WPi_21=log(1.229774498);
WPi_22=log(1.229774498);
Piwi_1=log(1.000000000);
Piwi_2=log(1.000000000);
Piwi_3=log(1.000000000);
Piwi_4=log(1.000000000);
Piwi_5=log(1.000000000);
Piwi_6=log(1.000000000);
Piwi_7=log(1.000000000);
Piwi_8=log(1.000000000);
Piwi_9=log(1.000000000);
Piwi_10=log(1.000000000);
Piwi_11=log(1.000000000);
Piwi_12=log(1.000000000);
Piwi_13=log(1.000000000);
Piwi_14=log(1.000000000);
Piwi_15=log(1.000000000);
Piwi_16=log(1.000000000);
Piwi_17=log(1.000000000);
Piwi_18=log(1.000000000);
Piwi_19=log(1.000000000);
Piwi_20=log(1.000000000);
Piwi_21=log(1.000000000);
Piwi_22=log(1.000000000);
mui_1=log(0.900000000);
mui_2=log(0.900000000);
mui_3=log(0.900000000);
mui_4=log(0.900000000);
mui_5=log(0.900000000);
mui_6=log(0.900000000);
mui_7=log(0.900000000);
mui_8=log(0.900000000);
mui_9=log(0.900000000);
mui_10=log(0.900000000);
mui_11=log(0.900000000);
mui_12=log(0.900000000);
mui_13=log(0.900000000);
mui_14=log(0.900000000);
mui_15=log(0.900000000);
mui_16=log(0.900000000);
mui_17=log(0.900000000);
mui_18=log(0.900000000);
mui_19=log(0.900000000);
mui_20=log(0.900000000);
mui_21=log(0.900000000);
mui_22=log(0.900000000);
Deltai_1=log(1.000000000);
Deltai_2=log(1.000000000);
Deltai_3=log(1.000000000);
Deltai_4=log(1.000000000);
Deltai_5=log(1.000000000);
Deltai_6=log(1.000000000);
Deltai_7=log(1.000000000);
Deltai_8=log(1.000000000);
Deltai_9=log(1.000000000);
Deltai_10=log(1.000000000);
Deltai_11=log(1.000000000);
Deltai_12=log(1.000000000);
Deltai_13=log(1.000000000);
Deltai_14=log(1.000000000);
Deltai_15=log(1.000000000);
Deltai_16=log(1.000000000);
Deltai_17=log(1.000000000);
Deltai_18=log(1.000000000);
Deltai_19=log(1.000000000);
Deltai_20=log(1.000000000);
Deltai_21=log(1.000000000);
Deltai_22=log(1.000000000);
Psii_1=log(1.000000000);
Psii_2=log(1.000000000);
Psii_3=log(1.000000000);
Psii_4=log(1.000000000);
Psii_5=log(1.000000000);
Psii_6=log(1.000000000);
Psii_7=log(1.000000000);
Psii_8=log(1.000000000);
Psii_9=log(1.000000000);
Psii_10=log(1.000000000);
Psii_11=log(1.000000000);
Psii_12=log(1.000000000);
Psii_13=log(1.000000000);
Psii_14=log(1.000000000);
Psii_15=log(1.000000000);
Psii_16=log(1.000000000);
Psii_17=log(1.000000000);
Psii_18=log(1.000000000);
Psii_19=log(1.000000000);
Psii_20=log(1.000000000);
Psii_21=log(1.000000000);
Psii_22=log(1.000000000);
Hpci_1=log(0.400000000);
Hpci_2=log(0.400000000);
Hpci_3=log(0.400000000);
Hpci_4=log(0.400000000);
Hpci_5=log(0.400000000);
Hpci_6=log(0.400000000);
Hpci_7=log(0.400000000);
Hpci_8=log(0.400000000);
Hpci_9=log(0.400000000);
Hpci_10=log(0.400000000);
Hpci_11=log(0.400000000);
Hpci_12=log(0.400000000);
Hpci_13=log(0.400000000);
Hpci_14=log(0.400000000);
Hpci_15=log(0.400000000);
Hpci_16=log(0.400000000);
Hpci_17=log(0.400000000);
Hpci_18=log(0.400000000);
Hpci_19=log(0.400000000);
Hpci_20=log(0.400000000);
Hpci_21=log(0.400000000);
Hpci_22=log(0.400000000);
end;

resid;

check;


endval;
N=log(0.883557206);
R=log(1.002541491);
RStar=log(1.002541491);
Pi=log(1.000000000);
Rk=log(0.010874825);
WP=log(1.229774498);
K=log(49.212681130);
Y=log(1.801950447);
C=log(1.391844771);
I=log(0.410105676);
Pk=log(1.000000000);
S=0.000000000;
Sd=0.000000000;
lambda=log(0.718470925);
Q=log(0.997464951);
a=log(1.000000000);
rf=0.000000000;
Ni_1=log(0.040161691);
Ni_2=log(0.040161691);
Ni_3=log(0.040161691);
Ni_4=log(0.040161691);
Ni_5=log(0.040161691);
Ni_6=log(0.040161691);
Ni_7=log(0.040161691);
Ni_8=log(0.040161691);
Ni_9=log(0.040161691);
Ni_10=log(0.040161691);
Ni_11=log(0.040161691);
Ni_12=log(0.040161691);
Ni_13=log(0.040161691);
Ni_14=log(0.040161691);
Ni_15=log(0.040161691);
Ni_16=log(0.040161691);
Ni_17=log(0.040161691);
Ni_18=log(0.040161691);
Ni_19=log(0.040161691);
Ni_20=log(0.040161691);
Ni_21=log(0.040161691);
Ni_22=log(0.040161691);
Yi_1=log(0.081906839);
Yi_2=log(0.081906839);
Yi_3=log(0.081906839);
Yi_4=log(0.081906839);
Yi_5=log(0.081906839);
Yi_6=log(0.081906839);
Yi_7=log(0.081906839);
Yi_8=log(0.081906839);
Yi_9=log(0.081906839);
Yi_10=log(0.081906839);
Yi_11=log(0.081906839);
Yi_12=log(0.081906839);
Yi_13=log(0.081906839);
Yi_14=log(0.081906839);
Yi_15=log(0.081906839);
Yi_16=log(0.081906839);
Yi_17=log(0.081906839);
Yi_18=log(0.081906839);
Yi_19=log(0.081906839);
Yi_20=log(0.081906839);
Yi_21=log(0.081906839);
Yi_22=log(0.081906839);
Ki_1=log(2.236940051);
Ki_2=log(2.236940051);
Ki_3=log(2.236940051);
Ki_4=log(2.236940051);
Ki_5=log(2.236940051);
Ki_6=log(2.236940051);
Ki_7=log(2.236940051);
Ki_8=log(2.236940051);
Ki_9=log(2.236940051);
Ki_10=log(2.236940051);
Ki_11=log(2.236940051);
Ki_12=log(2.236940051);
Ki_13=log(2.236940051);
Ki_14=log(2.236940051);
Ki_15=log(2.236940051);
Ki_16=log(2.236940051);
Ki_17=log(2.236940051);
Ki_18=log(2.236940051);
Ki_19=log(2.236940051);
Ki_20=log(2.236940051);
Ki_21=log(2.236940051);
Ki_22=log(2.236940051);
Preli_1=log(1.000000000);
Preli_2=log(1.000000000);
Preli_3=log(1.000000000);
Preli_4=log(1.000000000);
Preli_5=log(1.000000000);
Preli_6=log(1.000000000);
Preli_7=log(1.000000000);
Preli_8=log(1.000000000);
Preli_9=log(1.000000000);
Preli_10=log(1.000000000);
Preli_11=log(1.000000000);
Preli_12=log(1.000000000);
Preli_13=log(1.000000000);
Preli_14=log(1.000000000);
Preli_15=log(1.000000000);
Preli_16=log(1.000000000);
Preli_17=log(1.000000000);
Preli_18=log(1.000000000);
Preli_19=log(1.000000000);
Preli_20=log(1.000000000);
Preli_21=log(1.000000000);
Preli_22=log(1.000000000);
Pii_1=log(1.000000000);
Pii_2=log(1.000000000);
Pii_3=log(1.000000000);
Pii_4=log(1.000000000);
Pii_5=log(1.000000000);
Pii_6=log(1.000000000);
Pii_7=log(1.000000000);
Pii_8=log(1.000000000);
Pii_9=log(1.000000000);
Pii_10=log(1.000000000);
Pii_11=log(1.000000000);
Pii_12=log(1.000000000);
Pii_13=log(1.000000000);
Pii_14=log(1.000000000);
Pii_15=log(1.000000000);
Pii_16=log(1.000000000);
Pii_17=log(1.000000000);
Pii_18=log(1.000000000);
Pii_19=log(1.000000000);
Pii_20=log(1.000000000);
Pii_21=log(1.000000000);
Pii_22=log(1.000000000);
WPi_1=log(1.229774498);
WPi_2=log(1.229774498);
WPi_3=log(1.229774498);
WPi_4=log(1.229774498);
WPi_5=log(1.229774498);
WPi_6=log(1.229774498);
WPi_7=log(1.229774498);
WPi_8=log(1.229774498);
WPi_9=log(1.229774498);
WPi_10=log(1.229774498);
WPi_11=log(1.229774498);
WPi_12=log(1.229774498);
WPi_13=log(1.229774498);
WPi_14=log(1.229774498);
WPi_15=log(1.229774498);
WPi_16=log(1.229774498);
WPi_17=log(1.229774498);
WPi_18=log(1.229774498);
WPi_19=log(1.229774498);
WPi_20=log(1.229774498);
WPi_21=log(1.229774498);
WPi_22=log(1.229774498);
Piwi_1=log(1.000000000);
Piwi_2=log(1.000000000);
Piwi_3=log(1.000000000);
Piwi_4=log(1.000000000);
Piwi_5=log(1.000000000);
Piwi_6=log(1.000000000);
Piwi_7=log(1.000000000);
Piwi_8=log(1.000000000);
Piwi_9=log(1.000000000);
Piwi_10=log(1.000000000);
Piwi_11=log(1.000000000);
Piwi_12=log(1.000000000);
Piwi_13=log(1.000000000);
Piwi_14=log(1.000000000);
Piwi_15=log(1.000000000);
Piwi_16=log(1.000000000);
Piwi_17=log(1.000000000);
Piwi_18=log(1.000000000);
Piwi_19=log(1.000000000);
Piwi_20=log(1.000000000);
Piwi_21=log(1.000000000);
Piwi_22=log(1.000000000);
mui_1=log(0.900000000);
mui_2=log(0.900000000);
mui_3=log(0.900000000);
mui_4=log(0.900000000);
mui_5=log(0.900000000);
mui_6=log(0.900000000);
mui_7=log(0.900000000);
mui_8=log(0.900000000);
mui_9=log(0.900000000);
mui_10=log(0.900000000);
mui_11=log(0.900000000);
mui_12=log(0.900000000);
mui_13=log(0.900000000);
mui_14=log(0.900000000);
mui_15=log(0.900000000);
mui_16=log(0.900000000);
mui_17=log(0.900000000);
mui_18=log(0.900000000);
mui_19=log(0.900000000);
mui_20=log(0.900000000);
mui_21=log(0.900000000);
mui_22=log(0.900000000);
Deltai_1=log(1.000000000);
Deltai_2=log(1.000000000);
Deltai_3=log(1.000000000);
Deltai_4=log(1.000000000);
Deltai_5=log(1.000000000);
Deltai_6=log(1.000000000);
Deltai_7=log(1.000000000);
Deltai_8=log(1.000000000);
Deltai_9=log(1.000000000);
Deltai_10=log(1.000000000);
Deltai_11=log(1.000000000);
Deltai_12=log(1.000000000);
Deltai_13=log(1.000000000);
Deltai_14=log(1.000000000);
Deltai_15=log(1.000000000);
Deltai_16=log(1.000000000);
Deltai_17=log(1.000000000);
Deltai_18=log(1.000000000);
Deltai_19=log(1.000000000);
Deltai_20=log(1.000000000);
Deltai_21=log(1.000000000);
Deltai_22=log(1.000000000);
Psii_1=log(1.000000000);
Psii_2=log(1.000000000);
Psii_3=log(1.000000000);
Psii_4=log(1.000000000);
Psii_5=log(1.000000000);
Psii_6=log(1.000000000);
Psii_7=log(1.000000000);
Psii_8=log(1.000000000);
Psii_9=log(1.000000000);
Psii_10=log(1.000000000);
Psii_11=log(1.000000000);
Psii_12=log(1.000000000);
Psii_13=log(1.000000000);
Psii_14=log(1.000000000);
Psii_15=log(1.000000000);
Psii_16=log(1.000000000);
Psii_17=log(1.000000000);
Psii_18=log(1.000000000);
Psii_19=log(1.000000000);
Psii_20=log(1.000000000);
Psii_21=log(1.000000000);
Psii_22=log(1.000000000);
Hpci_1=log(0.400000000);
Hpci_2=log(0.400000000);
Hpci_3=log(0.400000000);
Hpci_4=log(0.400000000);
Hpci_5=log(0.400000000);
Hpci_6=log(0.400000000);
Hpci_7=log(0.400000000);
Hpci_8=log(0.400000000);
Hpci_9=log(0.400000000);
Hpci_10=log(0.400000000);
Hpci_11=log(0.400000000);
Hpci_12=log(0.400000000);
Hpci_13=log(0.400000000);
Hpci_14=log(0.400000000);
Hpci_15=log(0.400000000);
Hpci_16=log(0.400000000);
Hpci_17=log(0.400000000);
Hpci_18=log(0.400000000);
Hpci_19=log(0.400000000);
Hpci_20=log(0.400000000);
Hpci_21=log(0.400000000);
Hpci_22=log(0.400000000);
end;

steady;

check;

shocks;
var e_rf;
periods 1 ;
values 0.000000000 ;
var e_a;
periods 1 8 ;
values 0.000000000 -0.000000000 ;
var e_Psii_1;
periods 5 29 ;
values -0.182321557 0.182321557 ;
var e_Psii_2;
periods 5 29 ;
values -0.182321557 0.182321557 ;
var e_Psii_3;
periods 5 29 ;
values -0.182321557 0.182321557 ;
var e_Psii_4;
periods 5 29 ;
values -0.182321557 0.182321557 ;
var e_Psii_5;
periods 5 29 ;
values -0.182321557 0.182321557 ;
var e_Psii_6;
periods 5 29 ;
values -0.182321557 0.182321557 ;
var e_Psii_7;
periods 5 29 ;
values -0.182321557 0.182321557 ;
var e_Psii_8;
periods 5 29 ;
values -0.182321557 0.182321557 ;
var e_Psii_9;
periods 6 29 ;
values -0.182321557 0.182321557 ;
var e_Psii_10;
periods 6 29 ;
values -0.182321557 0.182321557 ;
var e_Psii_11;
periods 7 29 ;
values -0.182321557 0.182321557 ;
var e_Psii_12;
periods 7 29 ;
values -0.182321557 0.182321557 ;
var e_Psii_13;
periods 7 29 ;
values -0.182321557 0.182321557 ;
var e_Psii_14;
periods 7 29 ;
values -0.182321557 0.182321557 ;
var e_Psii_15;
periods 7 29 ;
values -0.182321557 0.182321557 ;
var e_Psii_16;
periods 7 29 ;
values -0.182321557 0.182321557 ;
var e_Psii_17;
periods 8 29 ;
values -0.182321557 0.182321557 ;
var e_Psii_18;
periods 8 29 ;
values -0.182321557 0.182321557 ;
var e_Psii_19;
periods 9 29 ;
values -0.182321557 0.182321557 ;
var e_Psii_20;
periods 10 29 ;
values -0.182321557 0.182321557 ;
var e_Psii_21;
periods 11 29 ;
values -0.182321557 0.182321557 ;
var e_Psii_22;
periods 13 29 ;
values -0.182321557 0.182321557 ;
end;

 simul(periods=600,maxit=2000);
 save franceGD_simulnsec22_rechours M_ oo_;