function [crit] = f_franceGD_steady_solve(x,para)
% Function to minimize to get steady-state labor supply.


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%               Loading structures
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Creating variables from the parameter structure
para_names     =   fieldnames(para);
np=length(para_names);
for ii=1:np
    eval([para_names{ii} '=para.' para_names{ii} ';']);
end;

N   =   max(x,0.000001);

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%               Implied output, K, consumption
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

Rk  =   betta^-1-1+delta;

WP  =  ( (zetta-1)/(zetta*alfabar) * a / Rk^alfa  )^(1/(1-alfa)) * (Psibar*Hbar);

K   =   alfa/(1-alfa)*(WP/Rk)*N;

Y   =   a*K^alfa*(N*Psibar*Hbar)^(1-alfa);

C   =   Y - delta*K;

lambda = C^-siggma;

crit = WP - chi*N^etta*lambda^-1;

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%   Minimize this criterion
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


factor = 100000;
crit=(abs(real(crit).^2)*factor);


end