//This graphs French nominal interest rates

#delimit;
clear all;
set more off;

* Change this path to directory on your computer;
local locpath "~/Dropbox/Spring33/Cohen-Setton_Hausman_Wieland_data_programs";
local savpath "`locpath'/Stata/Data/";
local outpath "`locpath'/Stata/Output/";
local imppath "`locpath'/Data/";

qui: cd "`imppath'";

import excel using "`imppath'interest rates.xlsx", sheet(Data) firstrow clear;

gen date1 = date(datestring, "MDY");
gen date = mofd(date1);
format date %tm;

tsset date;
rename pctConsol consol3pct;
drop datestring;


//Graph for paper;
tsline cpaper misc_bonds consol3pct if tin(1936m1, 1938m12), lpattern(l "-") tline(1936m5) tline(1936m9) ///
legend(order(1 2 3) label(1 "Comm. Paper") label(2 "Bond yield average") label(3 "Consol yield")) ///
 ttitle("Date") ytitle("Interest rates (%)") ylabel(,nogrid) graphregion(color(white)) ///
 || pcarrowi 7 `=tm(1936m5)-0.5' 6.85 `=tm(1936m5)' (10) "Popular front elected"  7 `=tm(1936m9)+2' 6.85 `=tm(1936m9)' (3) "Devaluation", mcolor(red) lcolor(red) mlabcolor(red);

graph export  "`outpath'/int_rates_804.pdf", replace;
 
