capture mata mata drop irf_single()

version 10
mata:

real matrix irf_single(string scalar Allvar, string scalar Vmat, real scalar p, real scalar z, real scalar h, real scalar rrep, real scalar sumind)
{
	
	
	AA=st_matrix(Allvar);	/* endogenous lags and exgogenous vars */
	CV=st_matrix(Vmat);		/* variance-covariance matrix */
	AA=AA[1,1::p+z+1];
	CV=CV[1::p+z+1,1::p+z+1];

	/* dimensions of equation system and lag length */
	c	=  1;
	
	/* Convert A matrix into companion form */
	X	=	(AA[1,1::1+z] , J(1,rowmax((h-z+1,1)),0) );
	if (p>0) {
		A	=	J(1,p,0);
		for (ii=1; ii<=p; ii++) {
			A[1,ii]	=	AA[1,p+z+2-ii::p+z+2-ii];
		}
		pn	=	p;
	}
	else {
		A	=	0;
		pn	=	1;
	}
	A;
	AA;
	/* constructing IRF */
	IRF=J(pn,1,0);
	for (ii=1; ii<=h; ii++) {
		IRF=( IRF \ A*IRF[ii::pn+ii-1,1] + X[1,ii] )
	}
	IRF = IRF[pn+1::pn+h,1];
	
	
	/* aggregate if specified */
	if (sumind==1) {
		for (ii=2; ii<=h; ii++) {
			IRF[ii,1] = IRF[ii-1,1]+IRF[ii,1];
		}
	}
	
	/* construct confidence interval */
	cholvar = cholesky(CV);
	IRFmat	= J(h,rrep,0);
	
	
	for (rr=1; rr<=rrep; rr++) {
		rr;
		
		/* draw new coefficient vector */
		AAr	=	AA+rnormal(1,1,J(1,cols(AA),0),J(1,cols(AA),1))*cholvar;
		
		X	=	(AAr[1,1::1+z] , J(1,rowmax((h-z+1,1)),0) );
		if (p>0) {
			A	=	J(1,p,0);
			for (ii=1; ii<=p; ii++) {
				A[1,ii]	=	AAr[1,p+z+2-ii::p+z+2-ii];
			}
			pn	=	p;
		}
		else {
			A	=	0;
			pn	=	1;
		}
	
		/* constructing IRF */
		IRFr=J(pn,1,0);
		for (ii=1; ii<=h; ii++) {
			IRFr=( IRFr \ A*IRFr[ii::pn+ii-1,1] + X[1,ii] )
		}
		IRFr = IRFr[pn+1::pn+h,1];
		
		
		/* aggregate if specified */
		if (sumind==1) {
			for (ii=2; ii<=h; ii++) {
				IRFr[ii,1] = IRFr[ii-1,1]+IRFr[ii,1];
			}
		}
		
		IRFmat[.,rr]=IRFr;

	}
	
	
	IRFvar = variance(IRFmat');
	IRFsd = sqrt(diagonal(IRFvar));
	
	
	IRFCIU = IRF+1.96*IRFsd;
	IRFCIL = IRF-1.96*IRFsd;
	
	
	/* shit code to determine CI given absence of percentile function */
	IRFCIL=J(h,1,0); 
	IRFCIU=J(h,1,0);
	for (zz=1; zz<=h; zz++) {; 
		IRFtemp = sort(IRFmat[zz,.]',1);
		
		IRFCIL[zz,1]	= IRFtemp[floor(0.05*rrep)+1,1];
		IRFCIU[zz,1]	= IRFtemp[floor(0.95*rrep),1];
			
	};	

	st_matrix("r(IRF)", IRF)
	st_matrix("r(IRFvar)", IRFvar)
	st_matrix("r(IRFCIU)", IRFCIU)
	st_matrix("r(IRFCIL)", IRFCIL)
	
	return(IRF)
	
}

mata mosave irf_single(), replace

end
