//This graphs the French nominal money supply;

#delimit;
clear all;
set more off;

*change path as necessary;
local locpath "~/Dropbox/Spring33/Cohen-Setton_Hausman_Wieland_data_programs";
local savpath "`locpath'/Stata/Data/";
local outpath "`locpath'/Stata/Output/";
local imppath "`locpath'/Data/";

qui: cd "`imppath'";

//import data. Data was hand-entered from Patat and Lutfalla (1990); 
import excel using "`imppath'/money supply.xlsx", sheet(money) firstrow  clear;

gen date = ym(year, month);
format date %tm;
tsset date;

tsline M2_sa if tin(1935m1, 1938m12), lpattern(l "-") tline(1936m5) tline(1936m9) ///
 legend(off) ///
 ttitle("Date") ytitle("Nominal money supply (billion Francs, s.a.)") ylabel(,nogrid) graphregion(color(white)) ///
 || pcarrowi 200 `=tm(1936m5)-3' 195 `=tm(1936m5)' (10) "Popular front elected"  200 `=tm(1936m9)+3' 195 `=tm(1936m9)' (3) "Devaluation", mcolor(red) lcolor(red) mlabcolor(red);

graph export "`outpath'/france_money.pdf", replace;
