/* Graphs monthly French industrial production */


clear all
set more off
#delimit;
version 13;

*change path as necessary;
local locpath "~/Dropbox/Spring33/Cohen-Setton_Hausman_Wieland_data_programs";
local savpath "`locpath'/Stata/Data/";
local outpath "`locpath'/Stata/Output/";
local imppath "`locpath'/Data/";

qui: cd "`imppath'";

* Seasonally adjusted French IP data are from Villa;
#delimit;
import excel using "`imppath'industry.xls", first clear;

gen date = monthly(A, "YM");
format date %tm;
tsset date;

gen ip_france = exp(LIPIND38);


//Index to be 100 in 1/35
local mindat = date[1];
local date_1935m1 = "1935m1";

local index_obs = tm(`date_1935m1') - `mindat' +1;

disp "`index_obs'";

gen ip_france_index = 100*(ip_france / ip_france[`index_obs']);

save "`savpath'france_ip", replace;

//graph French data;
tsline ip_france_index if tin(1935m1, 1939m8), tline(1936m5) tline(1936m9) tline(1938m11) lpattern(l "-")  ytitle("Index, s.a, 1/1935=100") ///
   ylabel(,nogrid) graphregion(color(white)) legend(off) ///
   || pcarrowi 130 `=tm(1936m5)-3' 127 `=tm(1936m5)' (10) "Popular front elected"  130 `=tm(1936m9)+3' 127 `=tm(1936m9)' (3) "Devaluation", mcolor(red) lcolor(red) mlabcolor(red) ///
   || pcarrowi 127 `=tm(1938m11)-3' 124 `=tm(1938m11)' (10) "40-hour law ends", mcolor(red) lcolor(red) mlabcolor(red);
   
graph export "`outpath'/ip_sa.pdf", replace   ;

save "`savpath'france_ip", replace;
