//This graphs wholesale prices, domestic wholesale prices, and a cost of living index in France 1928-1938;


clear all
set more off
#delimit;
version 13;

*change path as necessary;
local locpath "~/Dropbox/Spring33/Cohen-Setton_Hausman_Wieland_data_programs";
local savpath "`locpath'/Stata/Data/";
local outpath "`locpath'/Stata/Output/";
local imppath "`locpath'/Data/";

//import data. Data was hand-entered from Mitchell and Sauvy;
import excel using "`imppath'mitchell_data.xlsx", sheet(data) firstrow; 

tsset year;

//index domestic wholesale prices to be 100 in 1929 (to match the other price series);
gen domestic_wholesale_index = 100*(france_domestic_wholesale / france_domestic_wholesale[5]);

//Now compute and graph inflation;
foreach var of varlist france_wholesale domestic_wholesale_index france_cost_living {;
	gen `var'_pi = 100*(`var'/l.`var' -1);
	};



	
tsline france_wholesale_pi domestic_wholesale_index_pi france_cost_living_pi if tin(1928, 1938), lpattern(l "-") ///
 legend(label(1 "Wholesale prices") label(2 "Domestic wholesale prices") ///
 label(3 "Cost of living")) ///
 ttitle("Year") ytitle("Inflation (%)") ylabel(,nogrid) graphregion(color(white));

 
graph export "`outpath'france_inflation.pdf", replace;
